Package: org.codehaus.groovy.util

## [Java] Class Segment

- org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object[]` | `table` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractConcurrentMapBase.Segment (int initialCapacity)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LockableObject` | `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`
    `class AbstractQueuedSynchronizer` | `toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Object[] table

  - ### Constructor Detail

    - #### protected AbstractConcurrentMapBase.Segment(int initialCapacity)